local SideBarFirstRechargeCell = class("SideBarFirstRechargeCell", SideBarBaseCell)

function SideBarFirstRechargeCell:getModuleKey()
	return ModuleManager.MODULE_KEY.FIRST_CHARGE
end

function SideBarFirstRechargeCell:getIsOpen()
	return DataManager.ShopData:isFirstRechargeOpen()
end

function SideBarFirstRechargeCell:getSpineName()
	-- if DataManager.ShopData:isNewFirstRechargeGift(GConst.ShopConst.FIRST_RECHARGE_GEARS.GEAR_1) then
		return "ui_main_btn_act_first_recharge_1"
	-- else
	-- 	return "ui_main_btn_act_first_recharge_2"
	-- end
end

function SideBarFirstRechargeCell:onClick()
	ModuleManager.ShopManager:showFirstRechargeUI()
end

function SideBarFirstRechargeCell:getIsShowRedPoint()
	return DataManager.ShopData:hasFirstRechargeRedPoint()
end

function SideBarFirstRechargeCell:getCellName()
	return I18N:getGlobalText(I18N.GlobalConst.FIRST_CHARGE_4)
end

return SideBarFirstRechargeCell